[zeromq-dev] [ANNOUNCE] ZeroMQ/3.0.0 is now available

Pieter Hintjens ph at imatix.com
Tue Jul 12 19:14:46 CEST 2011


On Tue, Jul 12, 2011 at 7:05 PM, Martin Sustrik <sustrik at 250bpm.com> wrote:

> All the nodes have to be 3.0.

This is the current situation but no-one has explored the possibility
of backwards compatibility.

It would require version detection in the protocol header, and some
compatibility code in the library.

It might also be useful to have a "2.1 emulation" mode for 3.0, so
that one could make bridges. To be determined by demand and
willingness of people to contribute patches.

-Pieter



More information about the zeromq-dev mailing list